Debian Bug report logs - #417081
FTBFS with GCC 4.3: missing #includes, etc

version graph

Package: animals; Maintainer for animals is Alberto Á. Fuentes <pajaro@gmail.com>; Source for animals is src:animals.

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Sun, 1 Apr 2007 14:36:05 UTC

Severity: important

Tags: patch

Found in versions animals/20031130-2.1, animals/20031130-2.3

Fixed in version animals/20031130-2.4

Done: Joost Yervante Damad <andete@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jim Lynch <jwl@debian.org>:
Bug#417081; Package animals. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to Jim Lynch <jwl@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: submit@bugs.debian.org
Subject: FTBFS with GCC 4.3: missing #includes, etc
Date: Sun, 1 Apr 2007 15:35:01 +0100
Package: animals
Version: 20031130-2.1
Usertags: ftbfs-gcc-4.3
Tags: patch

Your package fails to build with GCC 4.3.  Version 4.3 has not been
released yet but I'm building with a snapshot in order to find errors
and give people an advance warning.  In GCC 4.3, the C++ header
dependencies have been cleaned up.  The advantage of this is that
programs will compile faster.  The downside is that you actually
need to directly #include everything you use (but you really should
do this anyway, otherwise your program won't work with any compiler
other than GCC).  Some background of this can be found at
http://gcc.gnu.org/PR28080

You can reproduce this problem with gcc-snapshot from unstable.

> Automatic build of animals_20031130-2.1 on coconut0 by sbuild/ia64 0.49
...
> make[1]: Entering directory `/build/tbm/animals-20031130'
> g++  -g -DDbName=\"/var/games/animals/animals.db\"  -c -o main.o main.cc
> main.cc: In function 'void SigHandler(int)':
> main.cc:224: error: 'exit' was not declared in this scope
> main.cc: At global scope:
> main.cc:227: error: second argument of 'int main(int, char*)' should be 'char **'
> make[1]: *** [main.o] Error 1


--- main.cc~	2007-04-01 14:26:31.000000000 +0000
+++ main.cc	2007-04-01 14:26:48.000000000 +0000
@@ -5,6 +5,7 @@
 #include "db4++-stuff.h"
 #include "util.h"
 
+#include <cstdlib>
 #include <iostream>
 #include <sstream>
 // #include <gdbm.h>
@@ -224,7 +225,7 @@
   exit(0);
 }
 
-int main(int argc, char *argv)
+int main(int argc, char **argv)
 {
   std::string wantsToContinue("y");
   char ret[3];
--- db4++-stuff.cc~	2007-04-01 14:27:21.000000000 +0000
+++ db4++-stuff.cc	2007-04-01 14:27:27.000000000 +0000
@@ -23,6 +23,7 @@
 #include "db4++-stuff.h"
 #include "main.h"
 
+#include <cstdlib>
 #include <iostream>
 #include <sstream>
 #include <errno.h>

-- 
Martin Michlmayr
http://www.cyrius.com/



Severity set to `important' from `normal' Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. (Tue, 29 May 2007 09:30:24 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jim Lynch <jwl@debian.org>:
Bug#417081; Package animals. Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to Jim Lynch <jwl@debian.org>. Full text and rfc822 format available.

Message #12 received at 417081@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: 417081@bugs.debian.org
Subject: Diff of the NMU
Date: Sun, 13 Jan 2008 12:29:27 +0100
[Message part 1 (text/plain, inline)]
I have made an NMU of animals to fix a long standing bug. Please find
the diff attached.

-- 
  .''`.  Aurelien Jarno	            | GPG: 1024D/F1BCDB73
 : :' :  Debian developer           | Electrical Engineer
 `. `'   aurel32@debian.org         | aurelien@aurel32.net
   `-    people.debian.org/~aurel32 | www.aurel32.net
[animals.NMU.diff (text/x-diff, attachment)]

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 417081-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 417081-close@bugs.debian.org
Subject: Bug#417081: fixed in animals 20031130-2.3
Date: Sun, 13 Jan 2008 11:17:02 +0000
Source: animals
Source-Version: 20031130-2.3

We believe that the bug you reported is fixed in the latest version of
animals, which is due to be installed in the Debian FTP archive:

animals_20031130-2.3.diff.gz
  to pool/main/a/animals/animals_20031130-2.3.diff.gz
animals_20031130-2.3.dsc
  to pool/main/a/animals/animals_20031130-2.3.dsc
animals_20031130-2.3_amd64.deb
  to pool/main/a/animals/animals_20031130-2.3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 417081@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated animals package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 13 Jan 2008 12:03:43 +0100
Source: animals
Binary: animals
Architecture: source amd64
Version: 20031130-2.3
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 animals    - Traditional AI animal guessing engine using a binary tree DB
Closes: 417081
Changes: 
 animals (20031130-2.3) unstable; urgency=low
 .
   * Non-maintainer upload from the Zürich BSP.
   * Apply patch from Martin Michlmayr to fix FBTFS with GCC 4.3 (Closes:
     #417081).
Files: 
 b9c12a6e1a1d842f20945c62bd88738f 571 games optional animals_20031130-2.3.dsc
 8a4e105425041a046182caa6509c92fa 4409 games optional animals_20031130-2.3.diff.gz
 abd03a8fea26e612b781811b878c9f98 19140 games optional animals_20031130-2.3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHifDAw3ao2vG823MRAlAtAKCIuAUQnRQVYPs3jpfdw/OMDj5NKgCgjDnJ
TXgSFzab6QDiWpTYLzZx+Qw=
=60Ib
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Jim Lynch <jwl@debian.org>:
Bug#417081; Package animals. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Jim Lynch <jwl@debian.org>. Full text and rfc822 format available.

Message #22 received at 417081@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: 417081@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Log for failed build of animals_20031130-2.3 (dist=unstable2)
Date: Sun, 27 Jan 2008 07:33:38 +0800
found 417081 20031130-2.3
thanks

Unfortunately, some more headers got cleaned up after I reported my
original bug report with patch.  The good news is that there won't be
any further changes from the side of GCC, so please compile your
package with gcc-4.3 or gcc-snapshot from unstable to see what
remaining issues there are.  Thanks.

> Automatic build of animals_20031130-2.3 on em64t by sbuild/amd64 0.53
...
> make[1]: Entering directory `/build/tbm/animals-20031130'
> g++  -g -DDbName=\"/var/games/animals/animals.db\"  -c -o main.o main.cc
> g++  -g -DDbName=\"/var/games/animals/animals.db\"  -c -o db4++-stuff.o db4++-stuff.cc
> db4++-stuff.cc: In function 'int Write(Db&, const std::string&, const std::string&)':
> db4++-stuff.cc:47: error: 'strlen' was not declared in this scope
> db4++-stuff.cc: In function 'int Read(Db&, const std::string&, std::string&)':
> db4++-stuff.cc:76: error: 'strlen' was not declared in this scope
> make[1]: *** [db4++-stuff.o] Error 1

-- 
Martin Michlmayr
http://www.cyrius.com/




Bug marked as found in version 20031130-2.3 and reopened. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Sat, 26 Jan 2008 23:36:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jim Lynch <jwl@debian.org>:
Bug#417081; Package animals. Full text and rfc822 format available.

Acknowledgement sent to Joost Yervante Damad <joost@damad.be>:
Extra info received and forwarded to list. Copy sent to Jim Lynch <jwl@debian.org>. Full text and rfc822 format available.

Message #29 received at 417081@bugs.debian.org (full text, mbox):

From: Joost Yervante Damad <joost@damad.be>
To: 417081@bugs.debian.org
Subject: nmu diff
Date: Thu, 6 Mar 2008 21:19:40 +0100
[Message part 1 (text/plain, inline)]

[nmu.diff (text/x-diff, attachment)]

Reply sent to Joost Yervante Damad <andete@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #34 received at 417081-close@bugs.debian.org (full text, mbox):

From: Joost Yervante Damad <andete@debian.org>
To: 417081-close@bugs.debian.org
Subject: Bug#417081: fixed in animals 20031130-2.4
Date: Thu, 06 Mar 2008 20:47:03 +0000
Source: animals
Source-Version: 20031130-2.4

We believe that the bug you reported is fixed in the latest version of
animals, which is due to be installed in the Debian FTP archive:

animals_20031130-2.4.diff.gz
  to pool/main/a/animals/animals_20031130-2.4.diff.gz
animals_20031130-2.4.dsc
  to pool/main/a/animals/animals_20031130-2.4.dsc
animals_20031130-2.4_i386.deb
  to pool/main/a/animals/animals_20031130-2.4_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 417081@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joost Yervante Damad <andete@debian.org> (supplier of updated animals package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 06 Mar 2008 21:10:33 +0100
Source: animals
Binary: animals
Architecture: source i386
Version: 20031130-2.4
Distribution: unstable
Urgency: low
Maintainer: Jim Lynch <jwl@debian.org>
Changed-By: Joost Yervante Damad <andete@debian.org>
Description: 
 animals    - Traditional AI animal guessing engine using a binary tree DB
Closes: 417081
Changes: 
 animals (20031130-2.4) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix build with gcc-4.3 (Closes: #417081)
Files: 
 80835ae87597abe69ecd9f50778bb815 571 games optional animals_20031130-2.4.dsc
 a504cbadd0329c9e0db9d2cd3360801c 4739 games optional animals_20031130-2.4.diff.gz
 9a7dc5ad27799d9913d6e0708231e046 18526 games optional animals_20031130-2.4_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD4DBQFH0FHu0/r2+3z8lN0RAkY/AJ4mJoD8u4uFD/6Kcktu0TCHRqq9NACXSCGQ
KCrtm4W4N2yaWJhU1gVuJQ==
=TO/W
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 13 May 2008 07:46:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 15:55:02 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.